<template>
	<view class="common">
		<view class="history">
			<view class="list" v-for="(item, index) in ranklist" :key="index" @click="clickItemMethod(item)">
				<uni-swipe-action>
					<uni-swipe-action-item :right-options="item.options" @click="swipeClick($event, index)"
						:disabled='type=="edit"?true:false'>
						<view class="time">
							<icon class="t-icon t-icon-shijian-mianxing-0"></icon>
							<text>{{item.record_time}}</text>
						</view>
						<view class="item">
							<view>{{item.v1}}<text>{{item.v1_name}}</text></view>
							<view v-if="item.v2">{{item.v2}}<text>{{item.v2_name}}</text></view>
							<view v-if="item.v3">{{item.v3}}<text>{{item.v3_name}}</text></view>
							<view class="check" v-if="type=='edit'" @click.stop>
								<uni-icons :type="isActive==item.id?'checkbox-filled':'circle'" size="22"
									:color="isActive==item.id?'#FEC407':'#dfdfdf'"
									@click="handleEdit(item.id)"></uni-icons>
							</view>
							<uni-icons type="right" v-if="type!='edit'&&acd_id!=6"></uni-icons>
						</view>
					</uni-swipe-action-item>
				</uni-swipe-action>
			</view>
			<view class="endtext" v-if="!lastPage || page >= lastPage">—— 到底了，看看别的吧 ——</view>
		</view>
		<view class="nolist" v-if="!lastPage">
			<image src="@/static/none.png"></image>
			<text>暂无数据</text>
		</view>
	</view>
</template>

<script>
	import {
		mapState
	} from "vuex";
	export default {
		computed: {
			...mapState(['user']),
			endDate() {
				return this.$tools.getDate("start")
			},
			startDate() {
				return this.$tools.GetDateStr(-90);
			},
		},
		data() {
			return {
				ranklist: [],
				page: 1,
				type: "add",
				lastPage: 1,
				isActive: null,
				acd_id: ""
			}
		},
		onLoad(options) {
			let that = this
			that.acd_id = options.acd_id
			that.getList()
		},
		onReachBottom() {
			let that = this
			console.log("onReachBottom", this.lastPage)
			if (!this.lastPage || this.page >= this.lastPage) {
				uni.showToast({
					title: '没有更多数据！',
					icon: 'none'
				})
				return
			}
			this.page++
			this.getList(this.page)
		},
		methods: {
			swipeClick(e, index) {
				let that = this
				let id = that.ranklist[index].id
				uni.showModal({
					title: '友情提示',
					content: '是否删除当前测量记录？',
					success: function(res) {
						if (res.confirm) {
							that.$model.gethistorydelete({
								id: id,
								type: that.acd_id,
							}).then((res) => {
								if (res.code != 0) {
									that.$tools.msg(res.msg)
									return
								}
								that.ranklist.splice(index, 1)
								that.$store.dispatch("getUserInfo", {
									aud_id: uni.getStorageSync('userid')
								})
								that.$tools.msg("删除成功")
							})
						} else if (res.cancel) {
							that.$tools.msg("您已取消操作！");
						}
					},
				})
			},
			clickItemMethod(item) {
				let that = this
				if (that.acd_id == "6") return
				uni.navigateTo({
					url: "/pages/history/historyDetail?type=" + that.acd_id + '&id=' + item.id
				})
			},

			getList(page) {
				let that = this
				that.$model.gethistory({
					aud_id: uni.getStorageSync('userid'),
					type: that.acd_id,
					page: that.page,
				}).then((res) => {
					console.log("历史记录", res)
					if (res.code != 0) return
					let options = [{
						text: '删除',
						style: {
							backgroundColor: '#dd524d'
						}
					}]
					res.data.rows.forEach(item => {
						item.options = options
					})
					this.ranklist = this.ranklist.concat(res.data.rows)
					this.lastPage = res.data.totalpage
				})
			},
			handleEdit(id) {
				this.isActive = id
			},
		}
	}
</script>
<style scoped="scoped" lang="scss">
	.common {
		width: 100%;
		min-height: 100.5vh; // 重点
		overflow-y: scroll;
		background-color: #f7f7f7;
	}

	.history {
		width: calc(100% - 30px);
		height: auto;
		margin: 15px 15px 0;
		padding-bottom: 40px;

		.list {
			width: 100%;
			margin-bottom: 12px;
			position: relative;

			.item {
				width: calc(100% - 20px);
				height: auto;
				background: #fff;
				padding: 6px 10px;
				display: flex;
				justify-content: space-between;
				border-radius: 10px;
				align-items: center;
				font-weight: 700;
				line-height: 50rpx;
				font-size: 18px !important;

				text {
					display: block;
					color: #666;
					text-align: center;
					font-weight: 500;
					font-size: 28rpx;
				}
			}

			.time {
				font-size: 28rpx;
				color: #666;
				display: flex;
				align-items: center;
				justify-content: center;
				width: 100%;

				icon {
					width: 40rpx;
					height: 40rpx;
					margin-right: 5px;
				}

				text {
					font-size: 28rpx;
					margin-top: 3px;
					overflow: hidden;
					text-overflow: ellipsis;
					white-space: nowrap;
				}
			}
		}
	}
</style>